BACnet OPC Client < 1.0.25 Buffer Overflow

This script is Copyright (C) 2010-2015 Tenable Network Security, Inc.

Synopsis :

The remote Windows host contains a program that is affected by a
buffer overflow vulnerability.

Description :

BACnet OPC Client has a client-side buffer overflow vulnerability that
can be triggered by opening a malicious CSV file. An attacker can
execute arbitrary code and failed exploitation attempts may cause a
denial of service on the client.

Solution :

Upgrade to version 1.0.25 or later

Risk factor :

High / CVSS Base Score : 9.3
CVSS Temporal Score : 7.7
Public Exploit Available : true

Family: SCADA

Nessus Plugin ID: 49694 ()

Bugtraq ID: 43289

CVE ID: CVE-2010-4740